Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.impl
Class ControllerRequestFactory

    java.lang.Object
      org.jboss.portal.portlet.controller.impl.ControllerRequestFactory

    public class ControllerRequestFactory

extends java.lang.Object

A factory that provides a way to create ControllerRequest. This factory is just a default implementation and is not an authority which means that any client of the controller framework is free to determine how a controller request is created.

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`ControllerRequestFactory(org.jboss.portal.common.io.Serialization<PortletPageNavigationalState> serialization)`

Method Summary
`ControllerRequest` | `decode(java.util.Map<java.lang.String,java.lang.String[]> queryParameters, org.jboss.portal.web.Body body)` Create a controller request.
`ControllerRequest` | `decode(java.util.Map<java.lang.String,java.lang.String[]> queryParameterMap, java.util.Map<java.lang.String,java.lang.String[]> formParameterMap)` Create a controller request.
`ControllerRequest` | `decode(org.jboss.portal.web.WebRequest req)` Create a controller request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControllerRequestFactory

    public ControllerRequestFactory(org.jboss.portal.common.io.Serialization<PortletPageNavigationalState> serialization)

Method Detail

### decode

    public ControllerRequest decode(org.jboss.portal.web.WebRequest req)

  Create a controller request.

  Parameters:
    `req` - the web request
  Returns:
    the decoded controller request

### decode

    public ControllerRequest decode(java.util.Map<java.lang.String,java.lang.String[]> queryParameters,
                                    org.jboss.portal.web.Body body)

  Create a controller request.

  Parameters:
    `queryParameters` - the query parameters
    `body` - the body
  Returns:
    the decoded controller request

### decode

    public ControllerRequest decode(java.util.Map<java.lang.String,java.lang.String[]> queryParameterMap,
                                    java.util.Map<java.lang.String,java.lang.String[]> formParameterMap)

  Create a controller request.

  Parameters:
    `queryParameterMap` - the query parameter map
    `formParameterMap` - the optional form parameter map
  Returns:
    the decoded controller request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.